package opc.ua.services.sets;

import opc.ua.services.common.ContinuationPoint;
import opc.ua.services.common.QueryDataSet;
import opc.ua.services.common.RequestHeader;
import opc.ua.services.common.ResponseHeader;

public class QueryNext {

	/**
	 * request
	 */
	private RequestHeader requestHeader;
	private boolean releaseContinuationPoint;
	private ContinuationPoint continuationPoint;
	
	/**
	 * response
	 */
	private ResponseHeader responseHeader;
	private QueryDataSet[] queryDataSets;
	private ContinuationPoint revisedContinuationPoint;
	
	
	public RequestHeader getRequestHeader() {
		return requestHeader;
	}
	public void setRequestHeader(RequestHeader requestHeader) {
		this.requestHeader = requestHeader;
	}
	public boolean isReleaseContinuationPoint() {
		return releaseContinuationPoint;
	}
	public void setReleaseContinuationPoint(boolean releaseContinuationPoint) {
		this.releaseContinuationPoint = releaseContinuationPoint;
	}
	public ContinuationPoint getContinuationPoint() {
		return continuationPoint;
	}
	public void setContinuationPoint(ContinuationPoint continuationPoint) {
		this.continuationPoint = continuationPoint;
	}
	public ResponseHeader getResponseHeader() {
		return responseHeader;
	}
	public void setResponseHeader(ResponseHeader responseHeader) {
		this.responseHeader = responseHeader;
	}
	public QueryDataSet[] getQueryDataSets() {
		return queryDataSets;
	}
	public void setQueryDataSets(QueryDataSet[] queryDataSets) {
		this.queryDataSets = queryDataSets;
	}
	public ContinuationPoint getRevisedContinuationPoint() {
		return revisedContinuationPoint;
	}
	public void setRevisedContinuationPoint(
			ContinuationPoint revisedContinuationPoint) {
		this.revisedContinuationPoint = revisedContinuationPoint;
	}
	
}	